import 'dart:typed_data';

class BasicIDMessages {
  static final correctMessage = Uint8List.fromList([
    // Message Type = Basic ID, Protcol ver. = 2
    0x02,
    // ID type = Serial Number (ANSI/CTA-2063-A), UA Type = Aeroplane
    0x11,
    // UAS ID (UTF-8 encoded) = 15968DEADBEEF
    0x31, 0x35, 0x39, 0x36, 0x38, 0x44, 0x45, 0x41, 0x44, 0x42, 0x45, 0x45,
    0x46,
    // NULL padding
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  ]);

  static final arbitraryUasId = Uint8List.fromList([
    // Message Type = Basic ID, Protcol ver. = 2
    0x02,
    // ID type = None, UA Type = Aeroplane
    0x01,
    // UAS ID (arbitrary binary) = 0xDEADBEEF
    0xDE, 0xAD, 0xBE, 0xEF,
    // NULL padding
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
  ]);

  static final arbitraryUasIdFull = Uint8List.fromList([
    // Message Type = Basic ID, Protcol ver. = 2
    0x02,
    // ID type = None, UA Type = Aeroplane
    0x01,
    // UAS ID (arbitrary binary) = 0xDEADBEEF_DEADBEEF_DEADBEEF_DEADBEEF_DEADBEEF
    0xDE, 0xAD, 0xBE, 0xEF,
    0xDE, 0xAD, 0xBE, 0xEF,
    0xDE, 0xAD, 0xBE, 0xEF,
    0xDE, 0xAD, 0xBE, 0xEF,
    0xDE, 0xAD, 0xBE, 0xEF,
    // NULL padding
    0x00,
    0x00,
    0x00,
  ]);

  static final invalidIdType = Uint8List.fromList([
    // Message Type = Basic ID, Protcol ver. = 2
    0x02,
    // ID type = [INVALID], UA Type = Aeroplane
    0xA1,
    // UAS ID (UTF-8 encoded) = 15968DEADBEEF
    0x31, 0x35, 0x39, 0x36, 0x38, 0x44, 0x45, 0x41, 0x44, 0x42, 0x45, 0x45,
    0x46,
    // NULL padding
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
  ]);

  static final correctCapturedMessage1 = Uint8List.fromList([
    0x02,
    0x10,
    0x31,
    0x35,
    0x39,
    0x36,
    0x41,
    0x33,
    0x34,
    0x43,
    0x30,
    0x37,
    0x33,
    0x36,
    0x44,
    0x31,
    0x31,
    0x00,
    0x00,
    0x00,
    0x00,
    0x00,
    0x00,
    0x00,
    0x00
  ]);

  static final correctCapturedMessage2 = Uint8List.fromList([
    0x02,
    0x10,
    0x31,
    0x35,
    0x39,
    0x36,
    0x41,
    0x33,
    0x34,
    0x36,
    0x35,
    0x34,
    0x31,
    0x46,
    0x30,
    0x33,
    0x30,
    0x00,
    0x00,
    0x00,
    0x00,
    0x00,
    0x00,
    0x00,
    0x00
  ]);

  static final correctCapturedMessage3 = Uint8List.fromList([
    0x02,
    0x10,
    0x31,
    0x35,
    0x39,
    0x36,
    0x46,
    0x33,
    0x33,
    0x35,
    0x39,
    0x39,
    0x30,
    0x38,
    0x44,
    0x35,
    0x44,
    0x30,
    0x34,
    0x42,
    0x35,
    0x44,
    0x00,
    0x00,
    0x00
  ]);

  static final correctCapturedMessage4 = Uint8List.fromList([
    0x02,
    0x10,
    0x31,
    0x35,
    0x39,
    0x36,
    0x46,
    0x33,
    0x35,
    0x32,
    0x36,
    0x35,
    0x36,
    0x31,
    0x30,
    0x36,
    0x36,
    0x36,
    0x38,
    0x32,
    0x34,
    0x30,
    0x00,
    0x00,
    0x00
  ]);

  static final correctCapturedMessage5 = Uint8List.fromList([
    0x02,
    0x10,
    0x31,
    0x35,
    0x39,
    0x36,
    0x46,
    0x33,
    0x35,
    0x32,
    0x36,
    0x35,
    0x36,
    0x31,
    0x30,
    0x36,
    0x36,
    0x36,
    0x38,
    0x35,
    0x38,
    0x38,
    0x00,
    0x00,
    0x00
  ]);
}
