import 'dart:typed_data';

class SystemMessages {
  static final correctMessage1 = Uint8List.fromList([
    // Message Type = System, Protcol ver. = 2
    0x42,
    // Classification Type = EU, Operator Location = Dynamic
    0x05,
    // Latitude = 50.086597690331196
    0xB8, 0x9B, 0xDA, 0x1D,
    // Longitude = 14.411429315989649
    0x75, 0x02, 0x97, 0x08,
    // Area count = 5
    0x05, 0x00,
    // Area radius = 1200 m
    0x78,
    // Area ceiling = 400m
    0xF0, 0x0A,
    // Area floor = 50m
    0x34, 0x08,
    // UA Category = Open, UA Class = 1
    0x12,
    // Operator altitude = 10m
    0xE4, 0x07,
    // Timestamp = 15:31:29 16/02/2023 (1676557889 unix seconds)
    0xC1, 0xEB, 0x18, 0xC0,
    // Reserved
    0x00,
  ]);

  static final correctMessage2 = Uint8List.fromList([
    // Message Type = System, Protcol ver. = 2
    0x42,
    // Classification Type = Undefined, Operator Location/Altitude source type = Take Off
    0x00,
    // Latitude = -33.93067431876772
    0x09, 0x97, 0xC6, 0xEB,
    // Longitude = -77.03332958707917
    0x91, 0xA5, 0x15, 0xD2,
    // Area count = 34 567
    0x07, 0x87,
    // Area radius = 350 m
    0x23,
    // Area ceiling = -100m
    0x08, 0x07,
    // Area floor = -155m
    0x9A, 0x06,
    // UA Category = Undefined, UA Class = Undefined
    0x00,
    // Operator altitude = -3m
    0xD6, 0x07,
    // Timestamp = 00:00:05 01/01/2019
    0x05, 0x00, 0x00, 0x00,
    // Reserved
    0x00,
  ]);

  static final correctCapturedMessage1 = Uint8List.fromList([
    0x42,
    0x04,
    0xC7,
    0xDB,
    0xDF,
    0x1D,
    0xAC,
    0xD4,
    0x8C,
    0x08,
    0x01,
    0x00,
    0x19,
    0x00,
    0x00,
    0x00,
    0x00,
    0x10,
    0xC8,
    0x0A,
    0xD5,
    0x20,
    0xD6,
    0x07,
    0x00
  ]);

  static final correctCapturedMessage2 = Uint8List.fromList([
    0x42,
    0x04,
    0xE0,
    0xDD,
    0xDF,
    0x1D,
    0xF3,
    0xD4,
    0x8C,
    0x08,
    0x01,
    0x00,
    0x19,
    0x00,
    0x00,
    0x00,
    0x00,
    0x10,
    0x6B,
    0x0A,
    0xE9,
    0x33,
    0xD6,
    0x07,
    0x00
  ]);

  static final correctCapturedMessage3 = Uint8List.fromList([
    0x42,
    0x04,
    0x00,
    0x00,
    0x00,
    0x00,
    0x00,
    0x00,
    0x00,
    0x00,
    0x01,
    0x00,
    0x19,
    0x00,
    0x00,
    0x00,
    0x00,
    0x10,
    0x00,
    0x00,
    0x00,
    0x00,
    0x00,
    0x00,
    0x00
  ]);

  static final correctCapturedMessage4 = Uint8List.fromList([
    0x42,
    0x04,
    0xA6,
    0xD6,
    0xDF,
    0x1D,
    0x9B,
    0xD4,
    0x8C,
    0x08,
    0x01,
    0x00,
    0x19,
    0x00,
    0x00,
    0x00,
    0x00,
    0x10,
    0xB7,
    0x0A,
    0xB9,
    0x20,
    0xD6,
    0x07,
    0x00
  ]);

  static final correctCapturedMessage5 = Uint8List.fromList([
    0x42,
    0x04,
    0x8C,
    0xDD,
    0xDF,
    0x1D,
    0xE0,
    0xD4,
    0x8C,
    0x08,
    0x01,
    0x00,
    0x19,
    0x00,
    0x00,
    0x00,
    0x00,
    0x10,
    0x6E,
    0x0A,
    0x84,
    0x37,
    0xD6,
    0x07,
    0x00
  ]);
}
